ru.bitel.oss.kernel.entity.common.bean

## Class AbstractEntity

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem
  Direct Known Subclasses:
    ContractObject, Entity

      public abstract class AbstractEntity
      extends IdTitle

  Сущность, привязанная к своей собственной таблице (contract, object)
  Author:
    amir
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `entitySpecId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEntity()`
    `AbstractEntity(int id, java.lang.String title)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.Integer,EntityAttr>` | `getEntityAttributes()`
    `int` | `getEntitySpecId()`
    `void` | `setEntityAttributes(java.util.Map<java.lang.Integer,EntityAttr> entityAttributes)`
    `void` | `setEntitySpecId(int entitySpecId)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### entitySpecId

          protected int entitySpecId

  - ### Constructor Detail

    - #### AbstractEntity

          public AbstractEntity()

    - #### AbstractEntity

          public AbstractEntity(int id,
                                java.lang.String title)

  - ### Method Detail

    - #### getEntitySpecId

          public int getEntitySpecId()

    - #### setEntitySpecId

          public void setEntitySpecId(int entitySpecId)

    - #### getEntityAttributes

          public java.util.Map<java.lang.Integer,EntityAttr> getEntityAttributes()

    - #### setEntityAttributes

          public void setEntityAttributes(java.util.Map<java.lang.Integer,EntityAttr> entityAttributes)